package com.ruoyi.business.mapper;

import java.util.Date;
import java.util.List;
import com.ruoyi.business.domain.TbUser;
import org.apache.ibatis.annotations.Param;

/**
 * 用户个人信息Mapper接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface TbUserMapper 
{
    /**
     * 查询用户个人信息
     * 
     * @param userId 用户个人信息主键
     * @return 用户个人信息
     */
    public TbUser selectTbUserByUserId(Long userId);

    /**
     * 查询用户个人信息列表
     * 
     * @param tbUser 用户个人信息
     * @return 用户个人信息集合
     */
    public List<TbUser> selectTbUserList(TbUser tbUser);

    /**
     * 新增用户个人信息
     * 
     * @param tbUser 用户个人信息
     * @return 结果
     */
    public int insertTbUser(TbUser tbUser);

    /**
     * 修改用户个人信息
     * 
     * @param tbUser 用户个人信息
     * @return 结果
     */
    public int updateTbUser(TbUser tbUser);

    /**
     * 删除用户个人信息
     * 
     * @param userId 用户个人信息主键
     * @return 结果
     */
    public int deleteTbUserByUserId(Long userId);

    /**
     * 批量删除用户个人信息
     * 
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbUserByUserIds(String[] userIds);

    int selectCount(@Param("startTime") Date startTime, @Param("endTime")Date endTime);
}
